Fetch Payout Status
curl --request POST \
--url https://api.paytring.com/api/v2/payout/fetch \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "58833954xxxxxxx",
"fetch_type": "normal"
}
'import requests
url = "https://api.paytring.com/api/v2/payout/fetch"
payload = {
"id": "58833954xxxxxxx",
"fetch_type": "normal"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '58833954xxxxxxx', fetch_type: 'normal'})
};
fetch('https://api.paytring.com/api/v2/payout/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"{\n \"status\": true,\n \"payout\": {\n \"transfer_status\": boolean,\n \"error\": string,\n \"transfer_id\": string,\n \"ut_no\": null,\n \"amount\": 111,\n \"fund_source\": \"Cashfree\",\n \"method\": \"neft\",\n \"processed_at\": \"2020-12-16 09:17:42\",\n \"transfer_status\": \"failed\",\n \"beneficiary\": {\n \"name\": \"Preetam\",\n \"email\": \"preetam@mcsam.in\",\n \"phone\": \"7027445661\",\n \"vpa\": \"7027445661@paytm\",\n \"account\": {\n \"account_no\": \"917027445660\",\n \"ifsc\": \"PYTM0123456\"\n }\n },\n \"ack\": \"\"\n }\n}""{\n\t \"status\": true,\n \"error_code\": int,\n \"error_message\": string\n}"Payout Management
Fetch Payout Status
Check status of a payout created via paytring
POST
/
api
/
v2
/
payout
/
fetch
Fetch Payout Status
This API is used to check the status of a payout created via Paytring.
Request Body
{
"id": "string", // Payout ID received in response on create payout API
"fetch_type": "string" // Option to do a hard pull of info directly from PG when required (e.g., 'normal', 'advance')
}
Responses
200 OK
{
"status": true,
"payout": {
"transfer_status": "boolean",
"error": "string",
"transfer_id": "string",
"ut_no": "null",
"amount": 111,
"fund_source": "Cashfree",
"method": "neft",
"processed_at": "2020-12-16 09:17:42",
"transfer_status": "failed",
"beneficiary": {
"name": "Preetam",
"email": "preetam@mcsam.in",
"phone": "7027445661",
"vpa": "7027445661@paytm",
"account": {
"account_no": "917027445660",
"ifsc": "PYTM0123456"
}
},
"ack": ""
}
}
400 Bad Request
{
"status": false,
"error_code": "int",
"error_message": "string"
}
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
Response
200
⌘I

